NAUTY-DRETOG(1)

NAME
nauty-dretog - read graphs in dreadnaut format

SYNOPSIS
dretog [-n#o#sghq] [infile [outfile]]

DESCRIPTION

    Read graphs in dreadnaut format.

-o# Label vertices starting at # (default 0). This can be overridden in the input.

-n# Set the initial graph order to # (no default). This can be overridden in the input.

-g  Use graph6 format (default for undirected graphs).

-z  Use digraph6 format (default for directed graphs).

-s  Use sparse6 format.

-h  Write a header (according to -g, -z or -s).

-q  Suppress auxiliary output.

    Input consists of a sequence of dreadnaut commands restricted to:

n=# set number of vertices (no default) The = is optional.

$=# set label of first vertex (default 0) The = is optional.

d   indicate graph will be directed

$$  return origin to initial value (see -o#)

".." and !..\n
    comments to ignore

g   specify graph to follow (as dreadnaut format) Can be omitted if first character of graph is a digit or ';'.

q   exit (optional)